> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flow Template

> Get a single workflow template by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workflow/template/{template_id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/workflow/template/{template_id}:
    get:
      tags:
        - Workflows - Templates
      summary: Get Flow Template
      description: Get a single workflow template by ID.
      operationId: get_flow_template_v1_workflow_template__template_id__get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowTemplateResponse'
        '404':
          description: Template not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    FlowTemplateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Template unique identifier
        name:
          type: string
          title: Name
          description: Template name
        language:
          type: string
          title: Language
          description: Language code (e.g. 'es', 'en')
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Template description
        flow_category:
          anyOf:
            - $ref: '#/components/schemas/FlowCategory'
            - type: 'null'
        setup_guide_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Setup Guide Url
          description: URL to documentation or setup guide
        template:
          additionalProperties: true
          type: object
          title: Template
          description: Flow template JSON
        connections:
          anyOf:
            - items:
                $ref: '#/components/schemas/TemplateConnectionInfo'
              type: array
            - type: 'null'
          title: Connections
          description: Connections required by this template
        variables:
          items:
            type: string
          type: array
          title: Variables
          description: List of <<variable>> placeholders found in the template
      type: object
      required:
        - id
        - name
        - language
        - template
      title: FlowTemplateResponse
      description: Response model for flow templates.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowCategory:
      type: string
      enum:
        - post_call
        - during_call
        - pre_call
        - call_launcher
        - empty
      title: FlowCategory
    TemplateConnectionInfo:
      properties:
        key:
          type: string
          title: Key
          description: Unique key for this connection
        name:
          type: string
          title: Name
          description: Display name for the connection
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Help text for the user
        piece_name:
          type: string
          title: Piece Name
          description: Piece name for the connection
        auth_type:
          type: string
          title: Auth Type
          description: Authentication type (e.g., SECRET_TEXT)
      type: object
      required:
        - key
        - name
        - piece_name
        - auth_type
      title: TemplateConnectionInfo
      description: Information about a connection required by a template.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````